Package org.apache.sling.models.spi

# Interface ModelValidation

@ConsumerType public interface ModelValidation

## Method Summary

Modifier and Type
Method
Description
`<ModelType>
RuntimeException`
`validate(Object adaptable, Class<ModelType> modelClass, boolean required)`
Triggers validation for the given model on the given adaptable

## Method Details

### validate

<ModelType> RuntimeException validate(Object adaptable, Class<ModelType> modelClass, boolean required) throws ValidationException, InvalidModelException
Triggers validation for the given model on the given adaptable

Type Parameters:
  `ModelType` - Model type
Parameters:
  `adaptable` - the adaptable about to be used instantiate the Sling Model Class
  `modelClass` - the class of the model which is about to be instantiated
  `required` - if `true` validation fails even if validation model can't be found.
Returns:
  `null` if validation was successful, otherwise either `ValidationException` in case validation could not be performed for some reason (e.g. no validation information available) or `InvalidModelException` in case the given model type could not be validated through the `ModelValidation`.
Throws:
  `ValidationException`
  `InvalidModelException`